%define module  pypresence

Name:           python-pypresence
Version:        4.2.1
Release:        %mkrel 1
Summary:        A Discord Rich Presence Client in Python
Group:          Development/Python
License:        MIT
URL:            https://qwertyquerty.github.io/pypresence/html/index.html
Source0:        https://github.com/qwertyquerty/pypresence/archive/%{version}/%{module}-%{version}.tar.gz
# Fix licensing issues, merged upstream
Patch:          https://github.com/qwertyquerty/pypresence/commit/b5dc7308a0.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
pypresence is a simple Discord Rich Presence Client in Python.
Note that in order to use most of its functions, an authorized app
is required.

%package -n python3-pypresence
Summary:        A Discord Rich Presence Client in Python

%description -n python3-pypresence
pypresence is a simple Discord Rich Presence Client in Python.
Note that in order to use most of its functions, an authorized app
is required.

%prep
%autosetup -p1 -n %{module}-%{version}
# docs include files that are under a different license model, omitting them
rm -rf %{buildroot}/docs

%build
%py3_build

%install
%py3_install

%check
%py3_check_import %{module}

%files -n python3-pypresence
%license LICENSE
%doc README.md
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Thu Feb 09 2023 akien <akien> 4.2.1-1.mga9
+ Revision: 1939662
- Simplify and adapt to Mageia / my preferences
- import python-pypresence from Fedora 38


* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Dec 2 2022 Steve Cossette <farchord@gmail.com> - 4.2.1-1
- Initital release of pypresence (4.2.1)
